function [A,b] = assembleLaplaceP1(x)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% function [A,b] = assembleLaplaceP1(x)
%%
%% fonction qui assemble la matrice du laplacien P1 en 1D
%% ENTREE: x les noeuds du maillage  
%% SORTIE: A la matrice
%%         b le vecteur second membre
%
%  COURS D'ELEMENTS FINIS
%  M2PRO 2007-2008    Lab AN-EDP Univ d'ORSAY
% (c) Jean-Baptiste Apoung Kamga (July 2007)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Nso = length(x); % nombre de sommets
Nma = Nso -1 ;   % nombre de mailles
% table des degres de libert
for i = 1:Nma
    l2g(i,1) = i;
    l2g(i,2) = i+1;
end
%allocation d'espace
A=zeros(Nso,Nso);
b=zeros(Nso,1);
%boucle d'assemblage
for i=1:Nma
    %On recupre les sommets de l'lment 
    x1 = x(i); x2 = x(i+1);
    % On calcule la matrice et le second membre lmentaires
    [Ai,bi] = elementlaplaceP1(x1,x2,i);
    %Et on assemble la matrice et le vecteur lmentaires dans les matrice et vecteur globaux
    A(l2g(i,1:2), l2g(i,1:2)) = A(l2g(i,1:2), l2g(i,1:2)) + Ai(1:2,1:2);
    b(l2g(i,1:2)) = b(l2g(i,1:2)) + bi(1:2);
end
