function [A,b,y] = assembleLaplaceP2(x)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% function [A,b,y] = assembleLaplaceP2(x)
%
% fonction qui assemble la matrice du laplacien P2 en 1D
% ENTREE: x les noeuds du maillage  
% SORTIE: A la matrice
%         b le vecteur second membre
%         y position des degres de libert
%
%  COURS D'ELEMENTS FINIS
%  M2PRO 2007-2008    Lab AN-EDP Univ d'ORSAY
% (c) Jean-Baptiste Apoung Kamga (July 2007)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Nso = length(x); % nombre de sommets
Nma = Nso -1 ;   % nombre de mailles
Ndl=Nso + Nma;
% table des degrs de liberte
% et leur position
y=[];l2g=[];
for i = 1:Nma
    l2g(i,1) = i;
    l2g(i,2) = i+Nso;
    l2g(i,3) = i+1;
    y(l2g(i,1))=x(i);
    y(l2g(i,3)) = x(i+1);
    y(l2g(i,2)) = (x(i)+x(i+1))/2;
end
%allocation d'espace
A=zeros(Ndl,Ndl);
b=zeros(Ndl,1);
%boucle d'assemblage
for i=1:Nma
    %On recupere les sommets de l'element 
    x1 = x(i); x2 = x(i+1);
    % On calcule la matrice et le second membre elementaires
    [Ai,bi] = elementlaplaceP2(x1,x2,i);
    % Et on assemble la matrice et le vecteur lmentaires 
    A(l2g(i,1:3), l2g(i,1:3)) = A(l2g(i,1:3), l2g(i,1:3)) + Ai(1:3,1:3);
    b(l2g(i,1:3)) = b(l2g(i,1:3)) + bi(1:3);
end
