
function [A,b]=conditionLimiteLaplaceP1(x,A,b)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% function [A,b] = conditionLimiteLaplaceP1(x,A,b)
%%
%% fonction qui introduit les conditions aux limites pourle Laplacien P1 en 1D
%% ENTREE: x les noeuds du maillage  
%          A la matrice assemble
%          b le vecteur assembl
%          entre implicite: g la fonction de la condition de Dirichliet
%% SORTIE: A la matrice A modifie
%%         b le vecteur b modofi
%
%  COURS D'ELEMENTS FINIS
%  M2PRO 2007-2008    Lab AN-EDP Univ d'ORSAY
% (c) Jean-Baptiste Apoung Kamga (July 2007)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Nso = length(x); % nombre de sommets
%Nma = Nso -1 ;   % nombre de maille

%CONDITION AUX LIMITES PAR PENALISATION
% tgv = 1e+30;
% A(1,1) = tgv; b(1) = tgv * g(x(1)); % g est la condition de dirichlet
% A(Nso,Nso) = tgv; b(Nso) = tgv * g(x(Nso));

%CONDITION AUX LIMITES PAR MODIFICATION
ud=zeros(Nso,1);ud(1)=g(x(1));ud(Nso)=g(x(Nso));
b=b-A*ud;
b(1) = ud(1);b(Nso)=ud(Nso);
A(:,1) =0;A(1,:) =0;A(:,Nso) =0;A(Nso,:) =0;
A(1,1) =1;A(Nso,Nso) =1;
