function [A,b]=convdiffP1(epsi,x)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% function [A,b] =convdiffP1(x)
% fonction qui assemble la matrice du problme de convection diffusion
% pour les polynomes de degre 1 et introduit les conditions aux limites
% ENTREE: x -> les noeuds du maillage
%         eps -> le coefficient epsilon
% SORTIE: A -> la matrice avec condition aux limites incorpore
%         b -> le vecteur second membre avec condition aux limites incorpore
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Nso = length(x); % nombre de sommets
Nma = Nso -1 ;   % nombre de maille
% table des degre de libert
A=zeros(Nso,Nso);
b=zeros(Nso,1);
for i = 1:Nma
    l2g(i,1) = i;
    l2g(i,2) = i+1;
end
for i=1:Nma
    %On recupre les sommets de l'lment 
    x1 = x(i); x2 = x(i+1);
    % On calcule la matrice et le second membre lmentaire
    [Ai,bi] = elementconvdiffP1(x1,x2,epsi,i);
    % et on assemble la matrice et le vecteur lmentaires 
    A(l2g(i,1:2), l2g(i,1:2)) = A(l2g(i,1:2), l2g(i,1:2)) + Ai(1:2,1:2);
    b(l2g(i,1:2)) = b(l2g(i,1:2)) + bi(1:2);
end
% condition aux limites
ud=zeros(Nso,1); ud(1)=g(x(1)); ud(Nso)=g(x(Nso));
b=b-A*ud;
b(1) = ud(1);b(Nso)=ud(Nso);
A(:,1) =0;A(1,:) =0;A(:,Nso) =0;A(Nso,:) =0;
A(1,1) =1;A(Nso,Nso) =1;
