function [A,b,y]=convdiffP2(epsi,x)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% function [A,b,y] =convdiffP2(x)
%
% fonction qui assemble la matrice du problme de convection diffusion
% pour les polynomes de degre 2 et introduit les conditions aux limites
%
% ENTREE: x les noeuds du maillage
%         eps le coefficient epsilon
%  
% SORTIE: A la matrice avec condition aux limites incorpore
%         b le vecteur second membre avec condition aux limites incorpore
%         y position des degres de libert
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Nso = length(x); % nombre de sommets
Nma = Nso -1 ;   % nombre de mailles
Ndl=Nso + Nma;   % nombre de degrs de libert
% table des degrs de liberte
% et leur position
y=[];l2g=[];
for i = 1:Nma
    l2g(i,1) = i;
    l2g(i,2) = i+Nso;
    l2g(i,3) = i+1;
    y(l2g(i,1))=x(i);
    y(l2g(i,3)) = x(i+1);
    y(l2g(i,2)) = (x(i)+x(i+1))/2;
end
%rservation d'espace
A=zeros(Ndl,Ndl);
b=zeros(Ndl,1);
% boucle sur les lments
for i=1:Nma
    %On recupere les sommets de l'element 
    x1 = x(i); x2 = x(i+1);
    % On calcule la matrice et le second membre elementaire
    [Ai,bi] = elementconvdiffP2(x1,x2,epsi,i);
    % et on assemble la matrice et le vecteur lmentaires dans la
    % matrice et le vecteur globale
    A(l2g(i,1:3), l2g(i,1:3)) = A(l2g(i,1:3), l2g(i,1:3)) + Ai(1:3,1:3);
    b(l2g(i,1:3)) = b(l2g(i,1:3)) + bi(1:3);
end
%conditions aux limites
ud=zeros(Ndl,1);ud(1)=g(x(1));ud(Nso)=g(x(Nso));
b=b-A*ud;
b(1) = ud(1);b(Nso)=ud(Nso);
A(:,1) =0;A(1,:) =0;A(:,Nso) =0;A(Nso,:) =0;
A(1,1) =1;A(Nso,Nso) =1;