%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% function [Ai,bi]=elementconvdiffP1(x1,x2,epsi,i)
% Assemble la matrice lmentaire et le second membre lmentaire
% du problme de convection diffusion pour P1-Lagrange
%
% Entrees:[x1,x2] intervalle
%         epsi coefficien epsilon
%         i numero de l'lment
% Sortie : Ai matrice 2 x 2
%          bi vecteur 2 x 1
%
%  COURS D'ELEMENTS FINIS
%  M2PRO 2007-2008    Lab AN-EDP Univ d'ORSAY
% (c) Jean-Baptiste Apoung Kamga (July 2007)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [Ai,bi]=elementconvdiffP1(xi1,xi2,epsi, i)
hi=xi2 - xi1;
Ai = (epsi/hi)*[1,-1;-1,1] + (1/2)*[-1,1;-1,1];
bi=(hi/2)* [ f(xi1); f(xi2)];
