function [Ai,bi]=elementconvdiffP2(x1,x2,epsi,i)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% function [Ai,bi]=elementconvdiffP2(x1,x2,epsi,i)
% Assemble la matrice lmentaire et le second membre lmentaire
% du problme de convection diffusion pour P2-Lagrange
%
% Entrees:[x1,x2] intervalle
%         epsi coefficien epsilon
%         i numero de l'lment
% Sortie : Ai matrice 3 x 3
%         bi vecteur 3 x 1
%
%  COURS D'ELEMENTS FINIS
%  M2PRO 2007-2008    Lab AN-EDP Univ d'ORSAY
% (c) Jean-Baptiste Apoung Kamga (July 2007)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%formule de quadrature de simpson
w = [1, 4, 1]*(x2-x1)/6; %poids
z=[x1 , (x1+x2)/2, x2]; %points
%initialisation
Ai=zeros(3,3);bi=zeros(3,1);
%on boucle sur les poind de quadrature
for q=1:3
    wq=w(q);
    zq = z(q);
    %boucle sur les lignes
    for l=1:3
        [vl,dvl] = baselocalP2(x1,x2,l,zq);
        bi(l)= bi(l) + wq * f(zq)*vl;
        %boucle sur les colonnes
        for m=1:3
            [vm,dvm] = baselocalP2(x1,x2,m,zq);
            Ai(l,m)=Ai(l,m) + wq * (epsi*dvl * dvm + vl*dvm);
        end
    end
end
