function  testconvdiff(x,epsi)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  testconvdiff(x,epsi)
%
% fonction qui compare les discrtisation P1, P2 Lagrange
% de l'quation de convection diffusion
% ENTREE: x   -> les noeuds du maillage  
%        epsi -> valeur de epsilon
% SORTIE: 
%  COURS D'ELEMENTS FINIS
%  M2PRO 2007-2008    Lab AN-EDP Univ d'ORSAY
% (c) Jean-Baptiste Apoung Kamga (July 2007)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%rsolution P1
[A,b]=convdiffP1(epsi,x);
u=A\b;
%rsolution P2
[A2,b2,y]=convdiffP2(epsi,x);
u2=A2\b2;
[dum,p]=sort(y);
%solution exacte
ue=gexact(y,epsi);
%reprsentation graphique
plot(x,u,'g+-',y(p),u2(p),'b*-',x,u2(1:length(x)),'r.-',y(p),ue(p),'k-');
legend('P1','P2','P1 issue de P2','exacte');
pause();